%define module_name Data-Record-Serialize
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(Data/Dumper.pm) perl(Exporter/Shiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurper.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(Hash/Util.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Moo/Role.pm) perl(POSIX.pm) perl(Package/Variant.pm) perl(Ref/Util.pm) perl(SQL/Translator.pm) perl(SQL/Translator/Schema.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test2/Bundle/More.pm) perl(Test2/Plugin/NoWarnings.pm) perl(Test2/Tools/AfterSubtest.pm) perl(Test2/V0.pm) perl(Type/Library.pm) perl(Type/Utils.pm) perl(Types/Standard.pm) perl(YAML/Any.pm) perl(custom/failures.pm) perl(namespace/clean.pm) perl(strict.pm) perl(warnings.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: Flexible serialization of a record
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DJ/DJERIUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Data::Record::Serialize encodes data records and sends them
somewhere. This module is primarily useful for output of sets of
uniformly structured data records.  It provides a uniform, thin,
interface to various serializers and output sinks.  Its *raison
d'etre* is its ability to manipulate the records prior to encoding
and output.

=over

=item *

A record is a collection of fields, i.e. keys and *scalar*
values.

=item *

All records are assumed to have the same structure.

=item *

Fields may have simple types which may be determined automatically.
Some encoders use this information during encoding.

=item *

Fields may be renamed upon output

=item *

A subset of the fields may be selected for output.

=item *

Fields may be formatted via `sprintf' prior to output

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/D*

%changelog
* Sat Apr 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon Dec 29 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Wed Dec 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

